# $Revision: 1.12 $, $Date: 2002/10/28 21:38:26 $
Summary:	Common Lisp (ANSI CL) implementation
Summary(pl):	Implementacja Common Lisp (ANSI CL)
Summary(pt_BR):	Implementao do Common Lisp (ANSI CL)
Name:		clisp
Version:	2.30
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	ftp://cvs2.cons.org/pub/lisp/clisp/source/latest/%{name}-%{version}.tar.bz2
Patch0:		%{name}-shell.patch
Icon:		clisp.gif
URL:		http://clisp.cons.org/
BuildRequires:	readline-devel
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Common Lisp is a high-level, all-purpose programming language. CLISP
is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany. It
mostly supports Common Lisp as described in the ANSI CL standard. It
runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux, SVR4,
Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) and
needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with CLISP.

The user interface comes in German, English, French and Spanish. CLISP
includes an interpreter, a compiler, a large subset of CLOS, a foreign
language interface and a socket interface. An X11 interface is
available through CLX and Garnet.

%description -l pl
Common Lisp to wysokopoziomowy jzyk programowania oglnego
przeznaczenia. CLISP to implementacja Common Lisp, ktrej autorami s
Bruno Haible z Karlsruhe University oraz Michael Stoll z Munich
University (oba w Niemczech). W wikszoci wspiera Common Lisp opisany
w standardzie ANSI CL. Dziaa na mikrokomputerach (DOS, OS/2, Windows
NT, Windows 95, Amiga 500-4000, Acorn RICS PC), a take stacjach
uniksowych (Linux, SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI,
AIX, Sun3 i inne) i wymaga tylko 2 MB RAM.

To jest oprogramowanie wolnodostpne, na licencji GNU GPL, moliwe
jest dystrybuowanie komercyjnych aplikacji skompilowanych CLISP-em.

Interfejs uytkownika dostpny jest po niemiecku, angielsku, francusku
i hiszpasku. CLISP zawiera interpreter, kompilator, znaczny podzbir
CLOS, interfejs do innych jzykw oraz interfejs do gniazdek.
Interfejs X11 jest dostpny poprzez CLX i Garnet.

%description -l pt_BR
Common Lisp  uma linguagem de programao de propsito geral de alto
nvel. CLISP  uma implementao do Common Lisp feita por Bruno
Haible, da Universidade Karlsruhe, e Michael Stoll, da Universidade de
Munique, ambas na Alemanha. O CLISP  quase totalmente compatvel com
o Common Lisp descrito pelo padro ANSI CL. Alm disso, CLISP 
software livre, distribudo sob os termos da GNU GPL.

%prep
%setup -q
%patch0 -p1

%build
./configure --prefix=%{_prefix}
cd src
./makemake \
	--prefix=%{_prefix} \
	--with-readline \
	--with-gettext \
	--with-dynamic-ffi \
	--with-module=wildcard \
	--with-module=regexp \
	--with-module=bindings/linuxlibc6 \
	>Makefile
%{__make} config.lisp
%{__make}
#make check

%install
rm -rf $RPM_BUILD_ROOT
cd src
install -d $RPM_BUILD_ROOT{%{_bindir},%{_docdir},%{_libdir},%{_mandir}}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	lispdocdir=%{_docdir}/%{name}-%{version} \
	mandir=%{_mandir}
cd ..
mkdir $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/modules
install modules/*/*.dvi $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/modules

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/clisp
%doc %{_docdir}/%{name}-%{version}
%dir %{_libdir}/clisp
%dir %{_libdir}/clisp/base
%{_libdir}/clisp/base/*.[aho]
%{_libdir}/clisp/base/lispinit.mem
%attr(755,root,root) %{_libdir}/clisp/base/lisp.run
%attr(755,root,root) %{_libdir}/clisp/full/lisp.run
%{_libdir}/clisp/base/makevars
%{_libdir}/clisp/clisp-link
%{_libdir}/clisp/data
%{_libdir}/clisp/full/*.[aho]
%{_libdir}/clisp/full/lispinit.mem
%{_libdir}/clisp/full/makevars
%{_libdir}/clisp/linkkit
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: clisp.spec,v $
Revision 1.12  2002/10/28 21:38:26  filon
- updated to version 2.30, STBR

Revision 1.11  2002/09/07 09:02:18  kloczek
- merge translations from Conectiva.

Revision 1.10  2002/09/07 07:58:29  kloczek
- %%{_libdir}/clisp/full/lisp.run is back to %files.

Revision 1.9  2002/09/07 07:54:42  kloczek
- release 3: added using %%find_lang macro.

Revision 1.8  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.7  2002/04/25 16:05:49  arturs
fixed a small typo

Revision 1.6  2002/04/07 08:14:16  filon
- updated to 2.28

Revision 1.5  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/06 23:11:43  filon
- added breq: ncurses-devel
- release 2

Revision 1.3  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/03 12:27:00  qboosh
- pl translations, cosmetics

Revision 1.1  2001/12/01 12:54:14  qrczak
- Initial version.
